Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::Protocol_var Class Reference

`#include <RTCORBAC.h>`

Collaboration diagram for RTCORBA::Protocol_var:

[legend]
List of all members.

## Public Methods
| Protocol_var (void)
| Protocol_var (Protocol *)
| Protocol_var (const Protocol_var &)
| ~Protocol_var (void)
Protocol_var & | operator= (Protocol *)
Protocol_var & | operator= (const Protocol_var &)
Protocol * | operator-> (void)
const Protocol * | operator-> (void) const
| operator const Protocol & () const
| operator Protocol & ()
| operator Protocol & () const
| operator Protocol *& ()
const Protocol & | in (void) const
Protocol & | inout (void)
Protocol *& | out (void)
Protocol * | _retn (void)
Protocol * | ptr (void) const
## Private Attributes
Protocol * | ptr_

## Constructor & Destructor Documentation

RTCORBA::Protocol_var::Protocol_var | ( | void |  | ) |

RTCORBA::Protocol_var::Protocol_var | ( | Protocol * |  | ) |

RTCORBA::Protocol_var::Protocol_var | ( | const Protocol_var & |  | ) |

RTCORBA::Protocol_var::~Protocol_var | ( | void |  | ) |

## Member Function Documentation

Protocol* RTCORBA::Protocol_var::_retn | ( | void |  | ) |

const Protocol& RTCORBA::Protocol_var::in | ( | void |  | ) | const

Protocol& RTCORBA::Protocol_var::inout | ( | void |  | ) |

RTCORBA::Protocol_var::operator const Protocol & | ( |  | ) | const

RTCORBA::Protocol_var::operator Protocol & | ( |  | ) | const

RTCORBA::Protocol_var::operator Protocol & | ( |  | ) |

RTCORBA::Protocol_var::operator Protocol *& | ( |  | ) |

const Protocol* RTCORBA::Protocol_var::operator-> | ( | void |  | ) | const

Protocol* RTCORBA::Protocol_var::operator-> | ( | void |  | ) |

Protocol_var& RTCORBA::Protocol_var::operator= | ( | const Protocol_var & |  | ) |

Protocol_var& RTCORBA::Protocol_var::operator= | ( | Protocol * |  | ) |

Protocol*& RTCORBA::Protocol_var::out | ( | void |  | ) |

Protocol* RTCORBA::Protocol_var::ptr | ( | void |  | ) | const

## Member Data Documentation

Protocol* RTCORBA::Protocol_var::ptr_`[private]`

The documentation for this class was generated from the following file:

- RTCORBAC.h